source: orange/install-scripts/mac/force-fink-daily-build.sh @ 7697:e9dbc224b67c

Revision 7697:e9dbc224b67c, 1.9 KB checked in by mitar, 3 years ago (diff)

Fixed paths in daily building scripts.

  • Property exe set to *
Line 
1#!/bin/bash
2#
3# Should be run as: sudo ./force-fink-daily-build.sh
4#
5# Supplies fink daily build with latest revision so that source archives are also built
6#
7
8STABLE_REVISION_1=`svn info --non-interactive http://orange.biolab.si/svn/orange/branches/ver1.0/ | grep 'Last Changed Rev:' | cut -d ' ' -f 4`
9# svn info does not return proper exit status on an error so we check it this way
10[ "$STABLE_REVISION_1" ] || exit 1
11STABLE_REVISION_2=`svn info --non-interactive http://orange.biolab.si/svn/orange/externals/branches/ver1.0/ | grep 'Last Changed Rev:' | cut -d ' ' -f 4`
12# svn info does not return proper exit status on an error so we check it this way
13[ "$STABLE_REVISION_2" ] || exit 1
14
15if [[ $STABLE_REVISION_1 > $STABLE_REVISION_2 ]]; then
16    STABLE_REVISION=$STABLE_REVISION_1
17else
18    STABLE_REVISION=$STABLE_REVISION_2
19fi
20
21DAILY_REVISION_1=`svn info --non-interactive http://orange.biolab.si/svn/orange/trunk/ | grep 'Last Changed Rev:' | cut -d ' ' -f 4`
22# svn info does not return proper exit status on an error so we check it this way
23[ "$DAILY_REVISION_1" ] || exit 1
24DAILY_REVISION_2=`svn info --non-interactive http://orange.biolab.si/svn/orange/externals/trunk/ | grep 'Last Changed Rev:' | cut -d ' ' -f 4`
25# svn info does not return proper exit status on an error so we check it this way
26[ "$DAILY_REVISION_2" ] || exit 1
27
28if [[ $DAILY_REVISION_1 > $DAILY_REVISION_2 ]]; then
29    DAILY_REVISION=$DAILY_REVISION_1
30else
31    DAILY_REVISION=$DAILY_REVISION_2
32fi
33
34defaults write com.apple.desktopservices DSDontWriteNetworkStores true
35
36/Users/ailabc/mount-dirs.sh
37
38/Users/ailabc/fink-daily-build.sh $STABLE_REVISION $DAILY_REVISION
39
40# &> /private/tmp/fink-daily-build.log
41#EXIT_VALUE=$?
42#echo "Orange (fink) [$EXIT_VALUE]" > /Volumes/download/buildLogs/osx/fink-daily-build.log
43#cat /private/tmp/fink-daily-build.log >> /Volumes/download/buildLogs/osx/fink-daily-build.log
44#(($EXIT_VALUE)) && echo "Running fink-daily-build.sh failed"
45
46# Zero exit value
47true
Note: See TracBrowser for help on using the repository browser.